\documentclass[10pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../../presentation}
\usepackage{sansserif}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
\addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Section 2.8\ \ Derivative as a function}

\author{J Hef{}feron}
\institute{
  Mathematics and Statistics\\
  University of Vermont\\[1ex]
  \texttt{James.Hefferon@uvm.edu}
}
\date{}

\usepackage{siunitx}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................



\begin{frame}
For $f(x)=x^2$
find the rate of change at $x=a$.
\pause
\begin{multline*}
  \lim_{h\to 0}\frac{f(a+h)-f(a)}{h}
  =\lim_{h\to 0}\frac{(a^2+2ah+h^2)-(a^2)}{h}           \\
  =\lim_{h\to 0}\frac{2ah+h^2}{h}  
  =\lim_{h\to 0}\frac{h(2a+h)}{h}  
  =\lim_{h\to 0}2a+h=2a  
\end{multline*}
At $x=a$ the rate of change of~$f$ is $2a$.
This is the formula \alert{derived} from $f$'s formula.
These are notations to express this.
\begin{equation*}
  f'(a)=2a
  \qquad
  \left.\frac{df}{dx}\right|_{x=a}=2a
  \qquad
   Df(a)=2a
\end{equation*}
\pause
Use that to find
the rate of change $f'(a)$ at each point.
\begin{enumerate}
\item $a=-1$
\item $a=0$
\item $a=2$
\end{enumerate}
\pause
There is no difference between the functions $f(a)=2a$ and $f(x)=2x$.
We will often use the latter, with the letter~$x$.
\end{frame}


\begin{frame}{Definition of derivative}
Given $f(x)$, the \alert{derivative function} is
\begin{equation*}
  \lim_{h\to 0}\frac{f(x+h)-f(x)}{h}
\end{equation*}
if that limit exists.
We denote that with any of these.
\begin{equation*}
  f'(x) 
  \quad\text{or}\quad 
  \frac{df}{dx}
   \quad\text{or}\quad
  \frac{d}{dx}f
   \quad\text{or}\quad
   D\,f
\end{equation*}

Going from $f$ to the derived function $f'$
is \alert{differentiation}.
A function~$f$ that has a derivative is \alert{differentiable}.
\end{frame}



\begin{frame}{Example: derivative of $f(x)=x^2-3x$}
\begin{align*}
  \lim_{h\to 0}\frac{f(x+h)-f(x)}{h}
  &=\lim_{h\to 0}\frac{(\,(x+h)^2-3(x+h)\,)-(x^2-3x)}{h} \\
\uncover<2->{
  &=\lim_{h\to 0}\frac{x^2+2xh+h^2-3x-3h-x^2+3x}{h}   \\}
\uncover<3->{
  &=\lim_{h\to 0}\frac{2xh+h^2-3h}{h} 
  =\lim_{h\to 0}\frac{h(2x+h-3)}{h} \\
  &=\lim_{h\to 0} 2x+h-3
  =2x-3 }
\end{align*}
\end{frame}


% \begin{frame}{Derivative of the line $f(x)=3x+4$}
% \begin{equation*}
%   \lim_{h\to 0}\frac{f(x+h)-f(x)}{h}
%   =\lim_{h\to 0}\frac{(\,3(x+h)+4\,)-(3x+4)}{h} 
% \end{equation*}
% \pause
% \begin{equation*}
%   =\lim_{h\to 0}\frac{3x+3h+4-3x-4}{h}   
%   =\lim_{h\to 0}\frac{3h}{h}
%   =3   
% \end{equation*}
% The rate of change of a line equals the lines's slope, as it should.
% \end{frame}



% \begin{frame}{The derivative of $f(x)=\sqrt{x}$}
% \begin{equation*}
%   \lim_{h\to 0}\frac{f(x+h)-f(x)}{h}
%   =\lim_{h\to 0}\frac{\sqrt{x+h}-\sqrt{x}}{h} 
% \end{equation*}
% \pause
% \begin{equation*}
%   =\lim_{h\to 0}\frac{\sqrt{x+h}-\sqrt{x}}{h}\cdot
%      \frac{\sqrt{x+h}+\sqrt{x}}{\sqrt{x+h}+\sqrt{x}} 
% \end{equation*}
% \pause
% \begin{multline*}
%   =\lim_{h\to 0}\frac{(x+h)-x}{h(\sqrt{x+h}+\sqrt{x})}
%   =\lim_{h\to 0}\frac{h}{h(\sqrt{x+h}+\sqrt{x})}           \\
%   =\lim_{h\to 0}\frac{1}{(\sqrt{x+h}+\sqrt{x})}
%   =\frac{1}{2\sqrt{x}}=\frac{1}{2}x^{-1/2}
% \end{multline*}
% \end{frame}

\begin{frame}{Practice}
Use definition of the limit of the difference quotient definition to 
find the derivative of $f(x)=x^3\!$.
Remember that $(x+h)^3=x^3+3x^2h+3xh^2+h^3\!$.  
\end{frame}



% \begin{frame}{Intrepretations}
% These two are different ways of thinking about the same thing.
% \begin{itemize}
% \item The derivative $f'(a)$ is the rate of growth of the
% function at the point $x=a$.
% \item The derivative $f'(a)$ is the slope of the line tangent to the
% curve at $(a,f(a))$.
% \end{itemize}
% \begin{center}
%   \vcenteredhbox{\includegraphics{asy/derivative_function000.pdf}}
%   \quad
%   \begin{minipage}{0.5\textwidth}\RaggedRight
%     The rate of change of $f$ at $a$ is $f'(a)$.
%     That is also the slope of the line tangent to the curve.
%   \end{minipage}
% \end{center}
% \end{frame}


% \begin{frame}{What do we mean by ``rate of change''?}
% Let $f(x)=x^2$ and take $a=3$.
% We know that $f'(a)=2a$ and so $f'(3)=6$.

% Saying that the rate of change is $6$
% means that if the input changes from~$3$ to some nearby
% number $3+h$, then the output should change by about $6h$.
% \begin{equation*}
%   \begin{array}{l|l}
%     \multicolumn{1}{c}{\text{\textit{Input}~$3+\Delta x$}} 
%       &\multicolumn{1}{c}{\text{\textit{Output}~$f(3+\Delta x)$}}  \\ \hline
%     3.1   &9.61  \\
%     3.01  &9.0601 \\
%     3.001 &9.006001
%   \end{array}
% \end{equation*}
% \end{frame}




\section{When is a function not differentiable?}
\begin{frame}{What can go wrong?}
It could have a sharp point.
Neither of these has a derivative at~$0$. 
\begin{center}
  \vcenteredhbox{\includegraphics{asy/derivative_function001.pdf}}
  \qquad
  \begin{minipage}{0.3\textwidth}
    $\displaystyle f(x)=|x|$
  \end{minipage}
\end{center}
\begin{center}
  \vcenteredhbox{\includegraphics{asy/derivative_function004.pdf}}
  \qquad
  \begin{minipage}{0.3\textwidth}
    $\displaystyle f(x)=x^{2/3}$
  \end{minipage}
\end{center}  
\end{frame}
\begin{frame}
It could have a jump or a vertical tangent. 
\begin{center}
  \vcenteredhbox{\includegraphics{asy/derivative_function002.pdf}}
  \quad
  \vcenteredhbox{\includegraphics{asy/derivative_function003.pdf}}
\end{center}  
\end{frame}


\begin{frame}
If a function $f$ is differentiable at~$a$ then it is continuous at~$a$.
(But continuity does not imply differentiability, as the prior slides show.)

\pause
Here is a proof:
we want to use the assumption that
$\lim_{x\to 0}(f(a+h)-f(a))/((a+h)-a)$ exists
to prove that $\lim_{x\to a}f(x)=f(a)$.
Restate the limit by rewriting $a+h$ as~$x$.
\begin{equation*}
  \lim_{h\to 0}\frac{f(a+h)-f(a)}{(a+h)-a}
  =\lim_{x\to a}\frac{f(x)-f(a)}{x-a}
\end{equation*}
Start with
\begin{equation*}
  f(x)-f(a)
  =(x-a)\cdot\frac{f(x)-f(a)}{x-a}
\end{equation*}
and apply the limit laws to both sides.
\begin{equation*}
  \lim_{x\to a}f(x)-\lim_{x\to a}f(a)
  =\left(\lim_{x\to a}(x-a)\right)
   \cdot\left(\lim_{x\to a}\frac{f(x)-f(a)}{x-a}\right)
\end{equation*}
The left side is $(\lim_{x\to a}f(x))-f(a)$.
The right side is $0\cdot f'(c)=0$.
Conclusion: $\lim_{x\to a}f(x)=f(a)$
\end{frame}

\section{Higher derivatives}

\begin{frame}
The derivative is a function, so we can take the derivative of it.

For example, the derivative of $f(x)=x^2$ is $f'(x)=2x$.
In turn the \alert{second derivative} is this.
\begin{equation*}
  f''(x)=2  \quad\text{or}\quad \frac{d\frac{df}{dx}}{dx}=\frac{d^2f}{dx^2}=2
\end{equation*}
It represents the rate of change of the rates of change.
It is telling us that $f$'s rates of change look like this.
\begin{center}
  \begin{tabular}{r|*{4}{c}}
    \textit{At input} &$x=-1$ &$x=0$ &$x=1$ &$x=2$   \\
    \cline{2-5}
    \textit{$f$'s rate of change} &$-2$ &$0$ &$2$ &$4$
  \end{tabular}
\end{center}
That is, the second derivative says that $f$ is accelerating.
We will say more soon.

Similarly, if $g(t)=3t-5$ then $g'(t)=3$ and $g''(t)=0$.
It says that $g$'s rate of change never changes.
\end{frame}

\begin{frame}
We could take the third derivatve
\begin{equation*}
  f'''(a)
  \quad\text{or}\quad
  \frac{d^3f}{dx^3}
\end{equation*}
or the fourth derivative
\begin{equation*}
  f^{(iv)}(a)
  \quad\text{or}\quad
  \frac{d^4f}{dx^4}
\end{equation*}
etc. (note the lower case roman numerals in place of four primes).
These appear in Calc~II, in the Series chapter. 
\end{frame}


\end{document}
%
% These lines tells gnu-emacs to typeset with the luatex engine
% which requires Unicode encoding only (utf-8)
% ^c^t^s for toggling synctex. 
% ^-Shift-Click to move from pdf to source, Command-Shift-Click on OSX
%%% Local Variables:
%%% mode: latex
%%% TeX-engine: luatex
%%% TeX-source-correlate-method-active: synctex
%%% coding: utf-8
%%% End:
